﻿package classes {
	import flash.display.Loader;
	import flash.events.EventDispatcher;
	import flash.net.URLRequest;
	import flash.system.LoaderContext;
	import flash.system.ApplicationDomain;
	import flash.events.Event;
	import flash.text.Font;
	
	public class FontLoader extends EventDispatcher {
		
		private var _swfname:String;
		public static const FONTLOADCOMPLETE:String = "fontloadcomplete";
		public var Font1:Class;
		
		public function FontLoader($swfname:String) {
			_swfname = $swfname;
		}
		
		public function load() {
			var req :URLRequest = new URLRequest(_swfname);
			var loader:Loader = new Loader();
			var context :LoaderContext = new LoaderContext();
			context.applicationDomain = ApplicationDomain.currentDomain;
			loader.contentLoaderInfo.addEventListener(Event.COMPLETE , onLoadCompleteFunc);
			loader.load( req , context );
		}
		
		private function onLoadCompleteFunc(e:Event):void {
			dispatchEvent( new Event(FONTLOADCOMPLETE) );
		}
		
		public function registerFont($fontname):void {
			Font1 = ApplicationDomain.currentDomain.getDefinition( $fontname ) as Class;
			Font.registerFont( Font1 );
		}
	}
	
}