﻿package classes {
	import flash.display.Sprite;
	import com.hydrotik.go.HydroTween;
	import fl.motion.easing.*;
	import flash.events.Event;
	
	public class Sentokun extends Sprite {
		
		private var _sentokun:Sprite;
		private var _mouse:Sprite;
		private var _toudaiji:Sprite;
		public const OPENING1_COMPLETE:String = "opening1_complete";
		public const CLOSE1_COMPLETE:String = "close1_complete";
		public const CLOSE2_COMPLETE:String = "close2_complete";
		
		public function Sentokun() {
			_sentokun = new sentokunMc();
			addChild( _sentokun );
			_sentokun.visible = false;
			_mouse = new mouseMc();
			addChild( _mouse );
			_mouse.visible = false;
			_toudaiji = new toudaijiMc();
			addChild( _toudaiji );
			_toudaiji.alpha = 0;
			start();
		}
		
		public function start() {
			HydroTween.go( _toudaiji , { alpha:1, y:105 } , 1 , 0 , Quintic.easeOut , next1 );
		}
		
		private function next1():void {
			_sentokun.y = 130;
			_mouse.y = 130;
			_sentokun.visible = true;
			_mouse.visible = true;
			
			HydroTween.go( _sentokun , { y:0 } , 4 , 0 , Quadratic.easeOut );
			HydroTween.go( _mouse , { y:0 } , 4 , 0 , Quadratic.easeOut , next2 );
		}
		
		private function next2():void {
			HydroTween.go( _mouse , { y:15 } , 2 , 0 , Elastic.easeOut );
			dispatchEvent( new Event( OPENING1_COMPLETE ) );
			
		}
		
		public function scaleOut() {
			HydroTween.go( this , { scaleX:0, scaleY:0 } , 2 , 0 , Quadratic.easeOut );
		}
		
		public function scaleIn() {
			HydroTween.go( _mouse , { y:0 } , 2 , 0 , Elastic.easeOut );
			HydroTween.go( this , { scaleX:1, scaleY:1 } , 2 , 0 , Quadratic.easeIn , next3 );
		}
		
		private function next3():void{
			HydroTween.go( _mouse , { y:15 } , 2 , 0 , Elastic.easeOut );
			dispatchEvent( new Event( CLOSE1_COMPLETE ) );
		}
		
		public function mouseclose():void{
			HydroTween.go( _mouse , { y:0 } , 2 , 0 , Elastic.easeOut , next4 );
		}
		
		private function next4():void{
			dispatchEvent( new Event( CLOSE2_COMPLETE ) ) ;
			HydroTween.go( this , { scaleX:0, scaleY:0 } , 2 , 0 , Quadratic.easeOut );
		}
	}
	
}