﻿package classes {
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.text.Font;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.text.TextFormatAlign;
	import flash.text.AntiAliasType;
	import flash.text.TextFieldAutoSize;
	import flash.display.Sprite;
	
	public class TextBitmap {
		
		private var _texts:Array;
		private var _font:Font;
		private var _bms:Array;
		
		public function TextBitmap( $font:Font) {
			_font = $font;
			
			_texts = [];
			_texts.push("こんにちわ");
			_texts.push("パンツカムヨです");
			_texts.push("奈良県民です。");
			_texts.push("崖っぷちWEBデザイナーブログ");
			_texts.push("ていうブログ書いてます。");
			_texts.push("http://www.y-tti.com/blog/");
			_texts.push("Twitterは「y-tti」でやってます。");
			_texts.push("今日は");
			_texts.push("ドラムマシーンつくってきました");
			_texts.push("よろしくお願いします");
			
			_bms = [];
			for (var ix:int = 0; ix < _texts.length; ix++) {
				var str:String = _texts[ix];
				var arr:Array = [];
				for (var iy:int = 0; iy < str.length ; iy++) {
					var tf = _getTextField( str.charAt(iy) );
					var temp:Sprite = new Sprite();
					temp.addChild(tf);
					var bmd:BitmapData = new BitmapData( temp.width , temp.height , true , 0x000000 );
					bmd.draw( temp );
					var bm:Bitmap = new Bitmap( bmd , "auto" , true );
					bm.x = -bm.width / 2;
					bm.y = -bm.height / 2;
					var particle:particleSprite = new particleSprite();
					particle.addChild(bm );
					arr.push( particle );
				}
				_bms.push(arr);
			}
		}
		
		private function _getTextField( $str:String ):TextField {
			var format:TextFormat = new TextFormat();
			format.font = _font.fontName;
			format.size = 32;
			format.align = TextFormatAlign.CENTER;
			var tf:TextField = new TextField();
			tf.defaultTextFormat = format;
			//tf.textColor = Math.random() * 0xFFFFFF;
			tf.textColor = 0xFFFFFF;
			tf.selectable = false;
			tf.autoSize = TextFieldAutoSize.LEFT;
			tf.antiAliasType = AntiAliasType.NORMAL;
			tf.embedFonts = true;
			tf.wordWrap = false;
			tf.text = $str;
			
			return tf;
		}
		
		public function get bms():Array { return _bms; }
		
	}
	
}